// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.15.8
// source: uzytkownicy/uzytkownicy.proto

package uzytkownicy

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NowyUser struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nazwa string `protobuf:"bytes,1,opt,name=nazwa,proto3" json:"nazwa,omitempty"`
	Wiek  int32  `protobuf:"varint,2,opt,name=wiek,proto3" json:"wiek,omitempty"`
}

func (x *NowyUser) Reset() {
	*x = NowyUser{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NowyUser) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NowyUser) ProtoMessage() {}

func (x *NowyUser) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NowyUser.ProtoReflect.Descriptor instead.
func (*NowyUser) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{0}
}

func (x *NowyUser) GetNazwa() string {
	if x != nil {
		return x.Nazwa
	}
	return ""
}

func (x *NowyUser) GetWiek() int32 {
	if x != nil {
		return x.Wiek
	}
	return 0
}

type User struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nazwa string `protobuf:"bytes,1,opt,name=nazwa,proto3" json:"nazwa,omitempty"`
	Wiek  int32  `protobuf:"varint,2,opt,name=wiek,proto3" json:"wiek,omitempty"`
	Id    int32  `protobuf:"varint,3,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *User) Reset() {
	*x = User{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *User) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*User) ProtoMessage() {}

func (x *User) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use User.ProtoReflect.Descriptor instead.
func (*User) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{1}
}

func (x *User) GetNazwa() string {
	if x != nil {
		return x.Nazwa
	}
	return ""
}

func (x *User) GetWiek() int32 {
	if x != nil {
		return x.Wiek
	}
	return 0
}

func (x *User) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_uzytkownicy_uzytkownicy_proto protoreflect.FileDescriptor

var file_uzytkownicy_uzytkownicy_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2f, 0x75, 0x7a,
	0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0b, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x22, 0x34, 0x0a, 0x08,
	0x4e, 0x6f, 0x77, 0x79, 0x55, 0x73, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x61, 0x7a, 0x77,
	0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x61, 0x7a, 0x77, 0x61, 0x12, 0x12,
	0x0a, 0x04, 0x77, 0x69, 0x65, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x77, 0x69,
	0x65, 0x6b, 0x22, 0x40, 0x0a, 0x04, 0x55, 0x73, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x61,
	0x7a, 0x77, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x61, 0x7a, 0x77, 0x61,
	0x12, 0x12, 0x0a, 0x04, 0x77, 0x69, 0x65, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04,
	0x77, 0x69, 0x65, 0x6b, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x02, 0x69, 0x64, 0x32, 0x4c, 0x0a, 0x0b, 0x5a, 0x61, 0x72, 0x7a, 0x61, 0x64, 0x7a, 0x61,
	0x6e, 0x69, 0x65, 0x12, 0x3d, 0x0a, 0x11, 0x55, 0x74, 0x77, 0x6f, 0x72, 0x7a, 0x4e, 0x6f, 0x77,
	0x65, 0x67, 0x6f, 0x55, 0x73, 0x65, 0x72, 0x61, 0x12, 0x15, 0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b,
	0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x4e, 0x6f, 0x77, 0x79, 0x55, 0x73, 0x65, 0x72, 0x1a,
	0x11, 0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x55, 0x73,
	0x65, 0x72, 0x42, 0x49, 0x5a, 0x47, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x6d, 0x61, 0x72, 0x65, 0x6b, 0x32, 0x32, 0x32, 0x32, 0x32, 0x2f, 0x67, 0x6f, 0x50, 0x72,
	0x6f, 0x6a, 0x2f, 0x67, 0x72, 0x63, 0x70, 0x2f, 0x30, 0x33, 0x5f, 0x6d, 0x6f, 0x73, 0x73, 0x5f,
	0x6d, 0x79, 0x2f, 0x30, 0x33, 0x5f, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63,
	0x79, 0x2f, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_uzytkownicy_uzytkownicy_proto_rawDescOnce sync.Once
	file_uzytkownicy_uzytkownicy_proto_rawDescData = file_uzytkownicy_uzytkownicy_proto_rawDesc
)

func file_uzytkownicy_uzytkownicy_proto_rawDescGZIP() []byte {
	file_uzytkownicy_uzytkownicy_proto_rawDescOnce.Do(func() {
		file_uzytkownicy_uzytkownicy_proto_rawDescData = protoimpl.X.CompressGZIP(file_uzytkownicy_uzytkownicy_proto_rawDescData)
	})
	return file_uzytkownicy_uzytkownicy_proto_rawDescData
}

var file_uzytkownicy_uzytkownicy_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_uzytkownicy_uzytkownicy_proto_goTypes = []interface{}{
	(*NowyUser)(nil), // 0: uzytkownicy.NowyUser
	(*User)(nil),     // 1: uzytkownicy.User
}
var file_uzytkownicy_uzytkownicy_proto_depIdxs = []int32{
	0, // 0: uzytkownicy.Zarzadzanie.UtworzNowegoUsera:input_type -> uzytkownicy.NowyUser
	1, // 1: uzytkownicy.Zarzadzanie.UtworzNowegoUsera:output_type -> uzytkownicy.User
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_uzytkownicy_uzytkownicy_proto_init() }
func file_uzytkownicy_uzytkownicy_proto_init() {
	if File_uzytkownicy_uzytkownicy_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_uzytkownicy_uzytkownicy_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NowyUser); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uzytkownicy_uzytkownicy_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*User); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_uzytkownicy_uzytkownicy_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_uzytkownicy_uzytkownicy_proto_goTypes,
		DependencyIndexes: file_uzytkownicy_uzytkownicy_proto_depIdxs,
		MessageInfos:      file_uzytkownicy_uzytkownicy_proto_msgTypes,
	}.Build()
	File_uzytkownicy_uzytkownicy_proto = out.File
	file_uzytkownicy_uzytkownicy_proto_rawDesc = nil
	file_uzytkownicy_uzytkownicy_proto_goTypes = nil
	file_uzytkownicy_uzytkownicy_proto_depIdxs = nil
}
